package com.energy.manage.service.filter.threadLocal;

import org.slf4j.MDC;

/**
 * 接口应用内容
 */
public class ThreadContext {

  private static final String THREAD_NOTE = "THREAD_NOTE";

  public static void setThreadNote(String note) {
    MDC.put(THREAD_NOTE, note);
  }

  public static String getThreadNote() {
    return MDC.get(THREAD_NOTE);
  }


  /**
   * 清除参数
   */
  public static void clearMdc() {
    MDC.clear();
  }
}
